#include "audiowidget.h"

AudioWidget::AudioWidget(QWidget *parent) :
    QWidget(parent)
{
    layout = new QHBoxLayout();
    for (int i= 0; i < LAYERS_NUMBER; i++ ) {
       // Conectar los slots
        layout->insertWidget(i, new AudioLayerWidget(this, tr("Layer %1").arg(i)));
     }
    setLayout(layout);
    qDebug( "Init AudioWidget");
}

void AudioWidget::mediaLoaded(int layer, QString folder, QString file)
{
    QLayoutItem * const item = layout->itemAt(layer - 1);
    qDebug() << "AudioWidget::mediaLoaded Received layer: " << layer
             << "Folder: " << folder
             <<"File :  " << file;
    dynamic_cast<AudioLayerWidget *>(item->widget())->setFolder(folder);
    dynamic_cast<AudioLayerWidget *>(item->widget())->setFile(file);
}

void AudioWidget::volChanged(int layer, int vol) {
    QLayoutItem * const item = layout->itemAt(layer - 1);
    qDebug() << "AudioWidget::volChanged Received layer: " << layer
             << "Vol : " << vol;
    dynamic_cast<AudioLayerWidget *>(item->widget())->setVol(vol);
}

